#!/usr/bin/python
import serial
import pysimplesync

try:
    ser = serial.Serial("/dev/ttyACM0");
except:
    ser = serial.Serial("/dev/ttyACM1");

def write_to_ser(buf):
    ser.write(bytes(buf))
sync = pysimplesync.SimpleSync(write_to_ser)

ser.reset_input_buffer()
sync.request_all_interfaces()

while True:
    sync.handle_stream(ser.read_until(b"\x00"))
    print("\t".join([str(a) for a in list(sync)]))
    sync["v2"] = -400
    sync["v1"] = 400
    # 11.62V := 604
    sync.update();
